package imm.brede.plugin.bibtex;

import imm.brede.plugin.Article;

import java.util.Vector;

/**
 * 
 * @author Bartlomiej Wilkowski Technical University of Denmark, Informatics and
 *         Mathematical Modelling, 2800 Kogens, Lyngby bw@imm.dtu.dk
 * 
 * Creation date: 2007-11-28
 * 
 */
public class BibTeXArticle extends Article{

	public String getAuthorsInBibFormat() {
		String text = "";
		String connector = " and ";
		Vector<String> authors = getAuthors();
		String temp;
		for (int i = 0; i < authors.size(); i++) {
			temp = authors.elementAt(i);
			text = text.concat(temp);
			if (i != authors.size() - 1)
				text = text.concat(connector);
		}

		return text;
	}

	@Override
	public String toString() {
		String description = "@article{article"+getId()+",\n\tAUTHOR=\"" + getAuthorsInBibFormat()
				+ "\",\n" + "\tTITLE=\"" + getTitle() + "\",\n" + "\tJOURNAL=\""
				+ getJournal() + "\",\n" + "\tYEAR=\"" + getYear() + "\",\n"
				+ "\tVOLUME=\"" + getVolume() + "\",\n" + "\tNUMBER=\""
				+ getNumber() + "\",\n" + "\tPAGES=\"" + getNumber() + "\",\n"
				+ "\tMONTH=\"" + getMonth() + "\",\n" + "\tNOTE=\"" + getNote()
				+ "\",\n" + "\tKEY=\"" + getKey() + "\"\n}";
		return description;
	}

}
