package imm.brede.plugin.refworks;

import java.util.Vector;

import imm.brede.plugin.Article;

public class RefWorksJournal extends Article {

	public String getAuthorsInRefWorksFormat() {
		String text = "";

		String connector = "\n";
		Vector<String> authors = getAuthors();
		String temp;
		String surn;
		String name;
		int ind;
		for (int i = 0; i < authors.size(); i++) {
			temp = authors.elementAt(i);
			temp = temp.trim();
			ind = temp.lastIndexOf(' ');
			if (ind != -1) {
				surn = temp.substring(ind + 1);
				surn = surn.trim();
				name = temp.substring(0, ind);
				name = name.trim();
				temp = surn.concat(", ");
				temp = temp.concat(name);
			}
			temp = "A1  - " + temp;
			text = text.concat(temp);
			text = text.concat(connector);
		}

		return text;
	}
	
	public String getPage(int index) {
		String sp = "";
		String pages = getPages();
		String startP = "";
		String endP = "";
		String temp = "";
		int dif;
		int ind = pages.indexOf("-");
		if (ind == -1)
			sp = pages;
		else {
			startP = pages.substring(0, ind);
			endP = pages.substring(ind + 1, pages.length());			
			if (index == 0) {
				sp = startP;
			} else {
				dif =startP.length()-endP.length();  
				if(dif>0){
					temp = startP.substring(0,dif);
					endP = temp.concat(endP);
				}
				sp = endP;
			}
		}
		sp = sp.trim();
		return sp;
	}

	@Override
	public String toString() {
		String description = "RT  - JOUR\n" + getAuthorsInRefWorksFormat()
				+ "T1  - " + getTitle() + "\nJF  - " + getJournal()
				+ "\nYR  - " + getYear() + "///\n" + "VO  - " + getVolume()
				+ "\nIS  - " + getNumber() + "\n" + "SP  - " + getPage(0)
				+ "\nOP  - " + getPage(1) + "\n\n";
		return description;
	}
	
}
